from dataclasses import dataclass

@dataclass
class Dock:
    x: int
    y: int
    length: int
    direction: str

direction_map = {
    "L": (-1, 0),
    "R": ( 1, 0),
    "U": ( 0, 1),
    "D": ( 0,-1),
}

height, width, num_docks = [int(i) for i in input().split(' ')]
assert 1 <= height <= 500
assert 1 <= width <= 500
assert 1 <= num_docks <= 250000
print(height, width, num_docks)

docks = []
for _ in range(num_docks):
    split = input().split(' ')
    docks.append(Dock(*[int(i) for i in split[:3]], split[3]))
    assert 1 <= docks[-1].x <= height
    assert 1 <= docks[-1].y <= width
    assert 2 <= docks[-1].length <= 500

print(docks)
